> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Update start or end date for user authorization

PUT https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/users/{userId}/authorization/{authorizationId}
Content-Type: application/json

Updates the start and/or end date for a given user authorization. Specify the user authorization and principal user with the path parameters.

To call this endpoint, you must be an account administrator or you must be the principal user for the specified authorization.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/accounts/authorizations/updateuserauthorization

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `authorizationId` (string, required) — The ID of the user authorization.
- `userId` (string, required) — The ID of the principal user.

### Body (application/json)

This endpoint expects an userAuthorizationUpdateRequest.

- `endDate` (string, optional) — The end date for the user authorization. The default value is the max UTC value: `9999-12-31T23:59:59.0000000+00:00`.
- `startDate` (string, optional) — The start date for the user authorization. The default value is the current date and time.

## Response

### 200

Successful response.

- `agentUser` (authorizationUser, optional)
- `authorizationId` (string, optional) — The ID of the user authorization.
- `created` (string, optional) — The UTC DateTime when the workspace user authorization was created.
- `createdBy` (string, optional) — The name and email of the user who created the authorization, in the following format: `[Francis Beagle email@example.com]`
- `endDate` (string, optional) — The UTC DateTime at which the authorization will expire.
- `modified` (string, optional) — The UTC DateTime when the workspace user authorization was last updated.
- `modifiedBy` (string, optional) — The name and email of the user who created the authorization, in the following format: `[Francis Beagle email@example.com]`
- `permission` (string, optional) — The [permission level](/docs/esign-rest-api/esign101/concepts/envelopes/share-access-to-mailbox-or-envelopes) to grant the agent. Valid values: - `Send` - `Manage` - `Sign` - `Edit` This property is required.
- `principalUser` (authorizationUser, optional)
- `startDate` (string, optional) — The UTC DateTime at which the authorization will start.
- `taskSource` (string, optional)
- `taskType` (string, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### authorizationUser

- `accountId` (string, optional) — The account ID.
- `email` (string, optional) — The email address of the authorization user.
- `name` (string, optional) — The name of the authorization user.
- `userId` (string, optional) — The ID of the authorization user.

## Examples

**Request**

```json
{
  "endDate": "sample string 1",
  "startDate": "sample string 2"
}
```

**Response**

```json
{
  "agentUser": {
    "accountId": "sample string 1",
    "email": "sample string 2",
    "name": "sample string 3",
    "userId": "sample string 4"
  },
  "authorizationId": "sample string 1",
  "created": "sample string 2",
  "createdBy": "sample string 3",
  "endDate": "sample string 4",
  "modified": "sample string 5",
  "modifiedBy": "sample string 6",
  "permission": "sample string 7",
  "startDate": "sample string 8",
  "taskSource": "sample string 9",
  "taskType": "sample string 10"
}
```